%global plugin_name plain-credentials

Summary:    This plugin provides two new types of credentials in Jenkins
Name:       jenkins-plugin-%{plugin_name}
Version:    1.3
Release:    1%{?dist}
License:    MIT
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Plain+Credentials+Plugin
# AltURL:   https://github.com/jenkinsci/plain-credentials-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins-plugin-credentials
Requires:   jenkins >= 1.580.1

%description
This plugin provides two new types of credentials:
 * FileCredentials or Secret file
 * StringCredentials or Secret text

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Mon Nov 21 2016 Troy Dawson <tdawson@redhat.com> - 1.3-1
- Update to latest version

* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 1.2-1
- Initial package
